Skip to main content
`Ctrl`+`K`

# TSGetTimeSpanSolutions

Get the number of solutions and the solutions at the time points specified by the time span.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetTimeSpanSolutions(TS ts, PetscInt *nsol, Vec **Sols)

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameters

- nsol - the number of solutions

- Sols - the solution vectors

## Notes

Both `nsol` and `Sols` can be `NULL`.

Some time points in the time span may be skipped by `TS` so that `nsol` is less than the number of points specified by `TSSetTimeSpan()`. For example, manipulating the step size, especially with a reduced precision, may cause `TS` to step over certain points in the span.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetTimeSpan()`

## Level

intermediate

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages